echo off
echo Do you want to uninstall the CDF assemblies already in the
set /p ans=Global Assembly Cache (GAC) before installing the new ones(Y/N)?
if /i not "%ans%." == "y." goto :toinstall
echo. 
echo Uninstalling the existing ones...
echo.
   gacutil /u CDFConstants
   gacutil /u CDFException
   gacutil /u CDFAPIs
   gacutil /u CDFUtils
:toinstall
echo.   
echo Adding assemblies to GAC...
echo.   
   gacutil /i CDFConstants.dll
   gacutil /i CDFException.dll
   gacutil /i CDFAPIs.dll
   gacutil /i CDFUtils.dll
